Unsupported major.minor version 51.0

原创 2013年12月03日 10:01:57

之前这个地方一直有问题,从别人那拷来的工程需要继续完成一些工程,可是就是出现了这个问题。

然后,上网查了资料就是jdk版本的问题,可是奇怪的是我们都用的是1.6,为什么到我这就有问题了?

然后,几个需要改动和注意的地方。


tomcat本身的lib里,那个tool.jar的版本,可能没有改。

自己设置的java_home 和 classpath那些设置是否有问题。

本身工程的编译里那个complier的版本设置。

工程引入的lib那个jdk版本。


但是呢,我的还是有问题,哭了。。

然后,就是这边 window-preference-

一直是1.6,我个傻x。。究其原因,还是不懂。所以,solved.

这四个位置都可能出问题。

其理论知识就不在赘述了,上网搜,能有一堆。

相关文章推荐

Unsupported major.minor version 51.0

  • 2015年06月08日 17:47
  • 89KB
  • 下载

关于tomcat的Unsupported major.minor version 51.0问题记录

今天在构建一个应用时使用了注解的方式,可能是别的原因,正常访问一个servlet的时候报了一个从来没见过的错误。 2017-5-12 15:54:52 org.apache.catalina.core...

java.lang.UnsupportedClassVersionError: xx : Unsupported major.minor version 51.0

java.lang.UnsupportedClassVersionError: org/apache/nutch/crawl/Crawl3 : Unsupported major.minor vers...
  • d34588
  • d34588
  • 2014年07月03日 13:50
  • 455

运行ant的javac命令时报错:Unsupported major.minor version 51.0 时抛出异常的解决办法

myeclipse 运行ant脚本,在执行javac命令对文件进行编译时,有时会提示:“Unsupported major.minor version 51.0 时抛出异常”这样的错误,这错误的主要原...

Unsupported major.minor version 51.0问题的解决

在java编程的过程中,当用myeclipse软件打开别人写的代码时,遇到Unsupported major.minor version 51.0此类问题,实在是令人痛苦不堪,弄了整整一晚才搞清楚,我...

apk反编译的报错 Could not decode ars c file Unsupported major.minor version 51.0

从网上下载的apk反编译工具包,运行:apktool d xxx.apk时,报错如下: Exception in thread "main" brut.androlib.AndrolibExcepti...
  • chwnpp2
  • chwnpp2
  • 2015年05月19日 16:34
  • 1236

spring boot: javax/annotation/ManagedBean : Unsupported major.minor version 51.0

最近开始学习spring boot安装教程上自己创建了一个简单的spring boot项目,信心满满的运行,结果出现这样的错误 在网上找了很多资料都说是jdk引起 的,把环境变量和java 中jdk...

Unsupported major.minor version 51.0 报错 解决办法

一般这个错都出现在换jdk 、jre版本 、编辑器 、tomcat 、resin 或者是将项目及某个软件copy的另外一台电脑上等时容易出现的错误。。 下面来看看需要检查哪些地方是否使用jdk 、j...

PKIX path validation failed 以及Unsupported major.minor version 51.0问题

维护一个新浪微博同步的代码,发现在Myeclipse 10下,单元测试无法执行。如下: javax.net.ssl.SSLHandshakeException : sun.security.valid...
  • ye1992
  • ye1992
  • 2014年01月17日 16:18
  • 4452

Unsupported major.minor version 51.0问题解决

右击项目,run as,build..  ,修改你需要用到的jdk版本
内容举报
返回顶部
收藏助手
不良信息举报
您举报文章:Unsupported major.minor version 51.0
举报原因:
原因补充:

(最多只允许输入30个字)